%define mainver	0.8
%define api	0
%define major	2
%define libname	%mklibname %{name} %{api} %{major}
%define devname	%mklibname %{name} %{api} -d

%define mainrel	12
%define date	20181104
%define rel	10

Name:		cegui
Version:	0.8.7
Release:	%mkrel %{mainrel}.%{date}.%{rel}
Summary:	A free library providing windowing and widgets for graphics APIs / engines
Group:		Development/C++
License:	MIT
URL:		http://cegui.org.uk
#Source0:	https://downloads.sf.net/crayzedsgui/%%{name}-%%{version}.tar.bz2
# Snapshot of v0-8 branch for Ogre 1.11 and recent compilers compat
# https://bitbucket.org/cegui/cegui/commits/branch/v0-8
# now at https://github.com/cegui/cegui
Source0:	%{name}-%{version}+%{date}.tar.xz
Patch0:		cegui-0.8.7-xerces32_changes.patch
Patch1:		cegui-0.8.7-find-ois.patch
Patch2:		cegui-minizip-ng.patch
Patch3:		cegui-0.8.7-fix-build-with-libxml2-2.12.0.patch

BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	devil-devel
BuildRequires:	doxygen
BuildRequires:	freeimage-devel
BuildRequires:	glm-devel
BuildRequires:	graphviz
BuildRequires:	irrlicht-devel
BuildRequires:	lua5.1-devel
BuildRequires:  ogre1.10-devel
BuildRequires:	pkgconfig(epoxy)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glesv2)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(glfw3)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(minizip)
BuildRequires:	pkgconfig(OIS)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(sfml-all)
BuildRequires:	pkgconfig(tinyxml2)
BuildRequires:	pkgconfig(xerces-c)
BuildRequires:	tolua++-devel

%description
Crazy Eddie's GUI System is a free library providing windowing and widgets for
graphics APIs / engines where such functionality is not natively available,
or severely lacking. The library is object orientated, written in C++,
and targeted at games developers who should be spending their time creating
great games, not building GUI sub-systems!

#----------------------------------------------------------------------

%package -n	%{libname}
Summary:	CEGUI library
Group:		System/Libraries

# (akien) Tmp obsolete as we can't build python-cegui
Obsoletes:      ceed < 0.8.0-3

%description -n	%{libname}
Crazy Eddie's GUI System is a free library providing windowing and widgets for
graphics APIs / engines where such functionality is not natively available,
or severely lacking. The library is object orientated, written in C++,
and targeted at games developers who should be spending their time creating
great games, not building GUI sub-systems!

%files -n	%{libname}
%doc COPYING README.md
%{_libdir}/libCEGUI*-%{api}.so.%{major}{,.*}
%{_libdir}/%{name}-%{mainver}/

#----------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for CEGUI
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{_lib}ogre1.10-devel

%description -n	%{devname}
Development files for CEGUI.

%files -n	%{devname}
%{_includedir}/%{name}-%{api}/
%{_libdir}/libCEGUI*.so
%{_libdir}/pkgconfig/CEGUI-%{api}*.pc

%prep
%autosetup -p1 -n %{name}-%{version}+%{date}

%build
%cmake -DCEGUI_SAMPLES_ENABLED=FALSE \
       -DCEGUI_BUILD_PYTHON_MODULES=FALSE
%cmake_build

%install
%cmake_install

# Remove unnecessary demo content
rm -f %{buildroot}%{_bindir}/toluapp%{name}-%{mainver}
rm -rf %{buildroot}%{_datadir}/%{name}-%{api}


%changelog
* Sun Mar 16 2025 wally <wally> 0.8.7-12.20181104.10.mga10
+ Revision: 2164747
- rebuild for libxml2 2.13.6

* Sun Nov 24 2024 danf <danf> 0.8.7-12.20181104.9.mga10
+ Revision: 2118793
- Rebuild for ogre1.10

* Wed Feb 14 2024 daviddavid <daviddavid> 0.8.7-12.20181104.8.mga10
+ Revision: 2041058
- add patch to fix build with libxml2 >= 2.12.0
- rebuild for new tinyxml2 10.0.0

* Mon Oct 16 2023 daviddavid <daviddavid> 0.8.7-12.20181104.7.mga10
+ Revision: 1997149
- rebuild for minizip from minizip-ng

* Sat Oct 22 2022 papoteur <papoteur> 0.8.7-12.20181104.6.mga9
+ Revision: 1898428
- Rebuild for libtinyxml2

* Wed Mar 31 2021 wally <wally> 0.8.7-12.20181104.5.mga9
+ Revision: 1712205
- rebuild with updated lua 5.1

* Wed Dec 02 2020 luigiwalser <luigiwalser> 0.8.7-12.20181104.4.mga8
+ Revision: 1651341
- rebuild for glew

* Wed Apr 01 2020 zezinho <zezinho> 0.8.7-12.20181104.3.mga8
+ Revision: 1562964
- drop all python disabled code

* Sun Jan 26 2020 wally <wally> 0.8.7-11.20181104.3.mga8
+ Revision: 1483348
- rebuild for boost 1.72.0
- build with new cmake macros

* Fri Apr 26 2019 akien <akien> 0.8.7-11.20181104.2.mga7
+ Revision: 1395363
- Rebuild for glfw 3.3

* Tue Nov 13 2018 akien <akien> 0.8.7-11.20181104.1.mga7
+ Revision: 1329777
- Snapshot from 20181104
- Fix building against OIS 1.4+

* Sat Sep 22 2018 umeabot <umeabot> 0.8.7-10.20180322.4.mga7
+ Revision: 1296043
- Mageia 7 Mass Rebuild

* Sun Sep 02 2018 daviddavid <daviddavid> 0.8.7-10.20180322.3.mga7
+ Revision: 1256213
- add patch to fix build with xerces-c 3.2.1
- rebuild for new xerces-c 3.2.1

* Sun Jun 03 2018 wally <wally> 0.8.7-10.20180322.2.mga7
+ Revision: 1234297
- rebuild for ois 1.4

* Mon May 14 2018 akien <akien> 0.8.7-10.20180322.1.mga7
+ Revision: 1229551
- Update to dev snapshot for Ogre 1.11 and recent compiler compat
- Enable support for GLFW3, SDL2, SFML and GLES2
- Rebuild for ogre 1.11.0

* Sat Jan 13 2018 wally <wally> 0.8.7-9.mga7
+ Revision: 1192695
- rebuild for new ogre

* Mon Dec 25 2017 wally <wally> 0.8.7-7.mga7
+ Revision: 1184656
- rebuild for new boost

* Mon Dec 04 2017 daviddavid <daviddavid> 0.8.7-6.mga7
+ Revision: 1181150
- rebuild for new glew 2.1.0

* Tue Nov 21 2017 tv <tv> 0.8.7-5.mga7
+ Revision: 1178307
- rebuild for boost 1.65

* Sat Sep 16 2017 tv <tv> 0.8.7-4.mga7
+ Revision: 1154704
- rebuild with latest boost

* Fri Aug 18 2017 sander85 <sander85> 0.8.7-3.mga7
+ Revision: 1141460
- Rebuild for new glew

* Tue May 17 2016 akien <akien> 0.8.7-2.mga6
+ Revision: 1016250
- Temporarily obsolete ceed, since we cannot build python-cegui

* Fri Apr 29 2016 akien <akien> 0.8.7-1.mga6
+ Revision: 1007672
- Version 0.8.7: hotfix for bogus soname

* Sun Apr 24 2016 akien <akien> 0.8.6-1.mga6
+ Revision: 1005838
- Add patch to fix lib major
- Version 0.8.6

* Sat Apr 16 2016 akien <akien> 0.8.5-2.mga6
+ Revision: 1002986
- Patch0: fix upstream regression with autowindow children

* Sun Mar 13 2016 akien <akien> 0.8.5-1.mga6
+ Revision: 990231
- Version 0.8.5

* Sat Feb 13 2016 umeabot <umeabot> 0.8.4-28.mga6
+ Revision: 959686
- Mageia 6 Mass Rebuild

* Sat Jan 09 2016 akien <akien> 0.8.4-27.mga6
+ Revision: 920672
- Temporarily disable building python module (upstream#1114)
+ daviddavid <daviddavid>
- rebuild for new boost 1.60.0

* Sun Sep 27 2015 tv <tv> 0.8.4-26.mga6
+ Revision: 884129
- rebuild for new boost
+ fwang <fwang>
- rebuild for new boost

* Mon Aug 24 2015 sander85 <sander85> 0.8.4-24.mga6
+ Revision: 869077
- Rebuild for new glew 1.13.0

* Sat Aug 22 2015 akien <akien> 0.8.4-23.mga6
+ Revision: 868103
- Rebuild for gcc 5.2.1

* Sun Aug 02 2015 daviddavid <daviddavid> 0.8.4-22.mga6
+ Revision: 860773
- remove unneeded Requires on %%{_lib}boost_python1.55.0 as it is already auto-required

* Sun Aug 02 2015 daviddavid <daviddavid> 0.8.4-21.mga6
+ Revision: 860505
- rebuild for new boost-1.58.0

* Wed Jun 24 2015 akien <akien> 0.8.4-20.mga6
+ Revision: 841999
- Rebuild for GLEW 1.12

* Mon Jan 26 2015 akien <akien> 0.8.4-19.mga5
+ Revision: 812410
- Remove sample data from devel package

* Sat Dec 27 2014 akien <akien> 0.8.4-18.mga5
+ Revision: 806703
- Do not provide devel documentation (too heavy, available online)

* Wed Oct 22 2014 akien <akien> 0.8.4-17.mga5
+ Revision: 792542
- Limit the nodes for the parallel build to workaround cc1plus failure
- Rebuild for BS issue
- Workaround missing symbols in PyOpenGLRenderer (patch based on upstream recommendation)
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 akien <akien> 0.8.4-13.mga5
+ Revision: 736260
- Rebuild again for BS issue
- Rebuild because of BS issue
- Rename python module to python-cegui instead of cegui-python
+ tv <tv>
- rebuild for missing pythoneggs deps

* Tue Sep 23 2014 akien <akien> 0.8.4-9.mga5
+ Revision: 721771
- Build documentation

* Sun Sep 21 2014 akien <akien> 0.8.4-8.mga5
+ Revision: 708220
- Add GLFW dependency to effectively build the OpenGLRenderer component (reverted)

* Sun Sep 21 2014 akien <akien> 0.8.4-7.mga5
+ Revision: 707452
- Fix boost_python dependency for the cegui-python package

* Thu Sep 18 2014 umeabot <umeabot> 0.8.4-6.mga5
+ Revision: 693582
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.8.4-5.mga5
+ Revision: 678343
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 0.8.4-4.mga5
+ Revision: 670263
- rebuild for glew

* Fri Aug 29 2014 akien <akien> 0.8.4-3.mga5
+ Revision: 669178
- Add upstream patch to revert ABI/API breakage introduced in 0.8.4

* Tue Aug 26 2014 luigiwalser <luigiwalser> 0.8.4-2.mga5
+ Revision: 668436
- 0.8.4 (fixes build)
- BR ois-devel (from fedora)
- remove upstreamed patch
- remove commands in spec no longer needed due to upstream fixes (from fedora)
- rebuild
+ akien <akien>
- Library RPM group is System/Libraries

* Tue Apr 01 2014 akien <akien> 0.8.3-1.mga5
+ Revision: 611177
- New version 0.8.3
- Add a SUSE patch to fix OGRE renderer building
- New python subpackage for Python bindings
- Better libification with regard to our policy
- Use up-to-date Source0 URL

* Thu Mar 13 2014 dams <dams> 0.7.9-1.mga5
+ Revision: 603110
- new version 0.7.9

* Sat Oct 19 2013 umeabot <umeabot> 0.7.7-6.mga4
+ Revision: 530459
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 sander85 <sander85> 0.7.7-5.mga4
+ Revision: 457693
- Rebuild for new glew

* Fri Jan 11 2013 umeabot <umeabot> 0.7.7-4.mga3
+ Revision: 347551
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 0.7.7-3.mga3
+ Revision: 323635
- rebuild for new pcre

* Thu Aug 30 2012 fwang <fwang> 0.7.7-2.mga3
+ Revision: 285747
- use configure2_5x

* Thu Aug 30 2012 fwang <fwang> 0.7.7-1.mga3
+ Revision: 285738
- irrlicht renderer does not build now
- new version 0.7.7
- rebuild for new glew

* Mon Oct 03 2011 fwang <fwang> 0.7.5-5.mga2
+ Revision: 151156
- rebuild for new glew

* Wed Sep 21 2011 fwang <fwang> 0.7.5-4.mga2
+ Revision: 146381
- drop .la files
+ stormi <stormi>
- clean spec
+ zezinho <zezinho>
- disable SILLY for now, as it is not packaged
- imported package cegui


* Fri Feb 05 2010 Funda Wang <fwang@mandriva.org> 0.7.1-3mdv2010.1
+ Revision: 501069
- conflicts with CEGUI 0.6

* Tue Feb 02 2010 Funda Wang <fwang@mandriva.org> 0.7.1-2mdv2010.1
+ Revision: 499666
- rebuild

* Sat Jan 30 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.1-1mdv2010.1
+ Revision: 498492
- update to new version 0.7.1
- drop patches 1 and 3, fixed upstream
- rediff patch2
- enable support for devil and fribidi

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Mon Dec 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.2-3mdv2009.1
+ Revision: 321148
- Patch3: reintroduce this patch, changes library naming to %%{libname}-%%{version}.so
- Patch1: reintroduce this too
- use %%define _default_patch_fuzz 3 because patch 3 fails in one line in src/Makefile.am

* Wed Dec 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.2-2mdv2009.1
+ Revision: 318212
- drop patch1, since upstream has switched to use major number in libraries name (smc works again#44445)

* Wed Dec 03 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.2-1mdv2009.1
+ Revision: 309824
- drop patch 0, as it was merged by upstream
- Patch2: rediff
- obsolete old library
- fix file list
- update to new version 0.6.2

* Sat Oct 11 2008 Adam Williamson <awilliamson@mandriva.org> 0.6.1-5mdv2009.1
+ Revision: 291763
- missed one use of the old %%realver
- adjust file list
- just use %%version for the library versioning
- adjust file list
- use autoreconf not bootstrap
- drop Makefile.in mods from fix-underlinking.patch (not needed)
- rediff fix-underlinking.patch
- add release-as-so-ver.patch: bases lib version on CEGUI version not spurious
  major, which was not respected in code (upstream has this in current CVS)

* Tue Sep 02 2008 Emmanuel Andry <eandry@mandriva.org> 0.6.1-4mdv2009.0
+ Revision: 279319
- rebuild for fixed freeimage

* Tue Sep 02 2008 Emmanuel Andry <eandry@mandriva.org> 0.6.1-3mdv2009.0
+ Revision: 279202
- disable devil, latest devil version doesn't build

* Mon Aug 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-2mdv2009.0
+ Revision: 275925
- Patch1: fix underlinking
- add buildrequires on glew-devel and tinyxml-devel
- kill rpath

  + Emmanuel Andry <eandry@mandriva.org>
    - remove the disable underlinking define (without doing anything special, strange)

* Tue Aug 19 2008 Emmanuel Andry <eandry@mandriva.org> 0.6.1-1mdv2009.0
+ Revision: 274077
- set define _disable_ld_no_undefined
- update file list
- New version
- add P?\1950 from fedora

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Apr 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0b-4mdv2009.0
+ Revision: 197222
- obsolete older library

* Thu Apr 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0b-3mdv2009.0
+ Revision: 197194
- fix file list

* Fri Apr 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0b-2mdv2009.0
+ Revision: 195622
- new devel library policy
- add missing buildrequires

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Apr 25 2007 Erwan Velu <erwan@mandriva.org> 0.5.0-2mdv2008.0
+ Revision: 18233
- Fixing buildrequires
  Fixing .so includes

* Wed Apr 25 2007 Erwan Velu <erwan@mandriva.org> 0.5.0-1mdv2008.0
+ Revision: 18217
- New buildrequires
- freetype2 was missing
- Import CEGUI

